edu.northwestern.at.morphadorner.tools.punktabbreviationdetector

## Enum PunktTokenType

- java.lang.Object
- - java.lang.Enum<PunktTokenType>
  - - edu.northwestern.at.morphadorner.tools.punktabbreviationdetector.PunktTokenType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PunktTokenType>

      public enum PunktTokenType
      extends java.lang.Enum<PunktTokenType>

  Punkt token type.

  The Punkt algorithm for abbreviation detection classifies a token into one of four types.

  - NONWORD -- token is not a word (special characters, etc.)
  - NUMBER -- token is a number.
  - WHITESPACE -- token is entirely whitespace (blanks, tabs, etc.)
  - WORD -- token is a word.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NONWORD` The token type definitions.
    `NUMBER`
    `WHITESPACE`
    `WORD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `toStringValue` Displayable string version for a token type.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Return displayable form of token type.
    `static PunktTokenType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PunktTokenType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONWORD

          public static final PunktTokenType NONWORD

      The token type definitions.

    - #### NUMBER

          public static final PunktTokenType NUMBER

    - #### WHITESPACE

          public static final PunktTokenType WHITESPACE

    - #### WORD

          public static final PunktTokenType WORD

  - ### Field Detail

    - #### toStringValue

          protected final java.lang.String toStringValue

      Displayable string version for a token type.

  - ### Method Detail

    - #### values

          public static PunktTokenType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PunktTokenType c : PunktTokenType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PunktTokenType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Return displayable form of token type.
      Overrides:
        `toString` in class `java.lang.Enum<PunktTokenType>`
      Returns:
        Token type as a displayable string.